## python-ephemeral-port-reserve 1.1.4

=== Makefile ===
REBUILD_FLAG =

.PHONY: all
all: venv test

.PHONY: venv
venv: .venv.touch
	tox -e venv $(REBUILD_FLAG)

.PHONY: tests test
tests: test
test: .venv.touch
	tox $(REBUILD_FLAG)

.venv.touch: setup.py requirements-dev.txt
	$(eval REBUILD_FLAG := --recreate)
	touch .venv.touch

.PHONY: clean
clean:
	find -name "*.pyc" -delete
	rm -rf .tox
	rm -rf ./venv-*
	rm -f .venv.touch

=== debian/changelog ===
python-ephemeral-port-reserve (1.1.4-4) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Feb 2025 15:51:17 +0000

python-ephemeral-port-reserve (1.1.4-3) unstable; urgency=medium

  * Team Upload
  * Fix Salsa URL to match real current location of repository
  * Drop python_distutils buildsystem (Closes: #1090498)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 12:31:56 +0100

python-ephemeral-port-reserve (1.1.4-2) unstable; urgency=medium

  * Re-upload source-only.
  * Add missing dh_python3 --shebang=/usr/bin/python3 call.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2022 17:22:56 +0200

python-ephemeral-port-reserve (1.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #1019730).

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 11:45:40 +0200

=== debian/control ===
Source: python-ephemeral-port-reserve
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ephemeral-port-reserve
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ephemeral-port-reserve.git
Homepage: https://github.com/Yelp/ephemeral-port-reserve/

Package: python3-ephemeral-port-reserve
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: binds to an ephemeral port, force it into the TIME_WAIT state, and unbind it
 Sometimes you need a networked program to bind to a port that can't be
 hard-coded. Generally this is when you want to run several of them in
 parallel; if they all bind to port 8080, only one of them can succeed.
 .
 The usual solution is the "port 0 trick". If you bind to port 0, your kernel
 will find some arbitrary high-numbered port that's unused and bind to that.
 Afterward you can query the actual port that was bound to if you need to use
 the port number elsewhere. However, there are cases where the port 0 trick
 won't work. For example, mysqld takes port 0 to mean "the port configured in
 my.cnf". Docker can bind your containers to port 0, but uses its own
 implementation to find a free port which races and fails in the face of
 parallelism.
 .
 ephemeral-port-reserve helps you using port 0.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/Yelp/ephemeral-port-reserve.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests -v ; \
	done
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ephemeral-port-reserve/ephemeral_port_reserve-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
